
Installer - Bug #36812

allow setting (fc)ct_location

10/09/2023 07:41 AM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category: Foreman modules   

Target version: 3.8.0   

Difficulty:  Fixed in Releases: 3.8.0, 3.9.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/1135,

https://github.com/theforeman/foreman-i

nstaller/pull/892

  

Description

In #36759 we prohibited to set this setting in the UI to arbitrary values.

This requires installer support to be overridable.

Related issues:

Related to Foreman - Bug #36759: CVE-2022-3874: OS command injection via ct_c... Closed

Associated revisions

Revision 5b2ed22a - 10/10/2023 10:01 AM - Evgeni Golov

Fixes #36812 - allow setting (fc)ct_location

History

#1 - 10/09/2023 07:41 AM - Evgeni Golov

- Related to Bug #36759: CVE-2022-3874: OS command injection via ct_command and fcct_command added

#2 - 10/09/2023 07:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman/pull/1135 added

#3 - 10/09/2023 01:45 PM - Ewoud Kohl van Wijngaarden

- Target version set to 3.8.0

#4 - 10/10/2023 10:01 AM - The Foreman Bot

- Fixed in Releases 3.9.0 added

#5 - 10/10/2023 11:00 AM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|5b2ed22a192f5cb673a236126847ffb67f82e4ad.

#6 - 10/10/2023 11:54 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/892 added

#7 - 10/10/2023 06:28 PM - The Foreman Bot

- Fixed in Releases 3.8.0 added
